%{!?sversion: %define sversion 0.1.19}
%define		snversion	%(echo %{sversion} | tr -d .)

%global pyver 27
%global pybasever 2.7

%define		rname		pysam%{pyver}
%define         destdir         /usr/local/samtools/%{sversion}/%{rname}/%{version}
#global indice   a
# modules defaults
%define modulefile_path /usr/local/share/Modules/modulefiles/samtools/%{sversion}/%{rname}
%define modulefile_path_file %{modulefile_path}/%{version}

%define __python /usr/bin/python%{pybasever}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Version:        0.7.5
%define		nversion	%(echo %{version} | tr -d .)
Name:           samtools%{snversion}-%{rname}_%{nversion}
Release:        2.1%{?dist}
Summary:        Python interface for the SAM/BAM sequence alignment and mapping format
Group:          Development/Languages
License:        MIT
URL:            https://code.google.com/p/pysam/
Source0:        pysam-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python%{pyver}-devel Pyrex%{pyver} zlib-devel environment-modules
BuildRequires:	samtools%{snversion}-devel python%{pyver}-distribute Cython%{pyver} samtools%{snversion}
Requires:	environment-modules samtools%{snversion}-libs

%description
Pysam is a python module for reading and manipulating Samfiles. It's a
lightweight wrapper of the samtools C-API. Pysam also includes an interface
for tabix.

%prep
%setup -q -n pysam-%{version}

%build
. /etc/profile.d/modules.sh; module load samtools/%{sversion}
%{__python} setup.py build

%install
. /etc/profile.d/modules.sh; module load samtools/%{sversion}
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{destdir}
mv $RPM_BUILD_ROOT%{python_sitearch}/pysam* $RPM_BUILD_ROOT%{destdir}
mkdir -p $RPM_BUILD_ROOT%{modulefile_path}
cat > $RPM_BUILD_ROOT%{modulefile_path_file} <<ENDFILE
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# %{name} rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds %{name} %{version} to various paths"
}

module-whatis   "Sets up %{name} %{version}"
prepend-path    PYTHONPATH "%{destdir}"
ENDFILE


%clean
rm -rf $RPM_BUILD_ROOT

%check
. /etc/profile.d/modules.sh; module load samtools/%{sversion}
%{__python} setup.py test
cd tests
make all

%files
%defattr(-,root,root,-)
%doc COPYING  INSTALL  KNOWN_BUGS  MANIFEST.in  PKG-INFO  THANKS
%{destdir}/pysam*
%dir %{modulefile_path}
%{modulefile_path_file}

%changelog
* Thu Jul 11 2013 Josko Plazonic <plazonic@math.princeton.edu> 0.1.2-1
- account for bwa 0.5.9 differences

* Fri May 31 2013 Josko Plazonic <plazonic@math.princeton.edu> 0.1.2-1
- initial build
